<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ForceMeasurement Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classForceMeasurement.html">ForceMeasurement</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#af6d8f00ce2a53ecabe334ca83dcddecc">_fieldIdAssumedForceOffset</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#ae1970046d2132b100e0bc6d49d6fbe41">_fieldIdForce</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a22f94f542c4e09bd968a621cfcde0e1e">_fieldIdVoltage</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a069f2d934ce8cbe22d17a41deddd8564">_robot</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a87e01fd15d5697263a0ed413304d49ff">card</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a88ea63ab69a7fffcfc30e51c372a246d">ForceMeasurement</a>(Robot &amp;robot)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a> enum name</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a50fba0cd96badd31cab9c11d33cd9e09">forceUnit</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee">GetForceAndVoltage</a>(ForceMeasurement::ForceUnit unit, double &amp;force, double &amp;voltage)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8">Init</a>(int integrationTimeMs)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a593bbb4109f7a05d9b4262ed61c82f59">sensor</a></td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#abb4e5fce9f6a6edc29cfa533c8f769c4">SetForceUnit</a>(ForceUnit unit)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a34e8231b10f5544090399faf29e90f1e">SetSensorGain</a>(double gain)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a3f42e8b4b54d18c7db9efc89b52b011d">SetSensorMaxForce</a>(double maxForce)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b">SetSensorOffsetForce</a>(double offsetForce)</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269">TareSensor</a>()</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341ad92f109f389710ee183c17957872c0e4">UNIT_MICRONEWTON</a> enum value</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341a0fbce59585e99369144cba95f6d66804">UNIT_NEWTON</a> enum value</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d">UpdateForce</a>()</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classForceMeasurement.html#a32169f03a2ef0c4dbe57304dbbb9477b">~ForceMeasurement</a>()</td><td class="entry"><a class="el" href="classForceMeasurement.html">ForceMeasurement</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
